Page MenuHomePhabricator

html2wt: category links (and probably other such) with a parser-function generated piece doesn't roundtrip properly
Closed, ResolvedPublic

Description

[subbu@earth:~/work/wmf/mediawiki] echo '[[Category:Hooks{{#translation:}}]]' | parse.js --prefix mediawikiwiki --pageName 'Manual:Hooks' --wt2wt
[[Category:Hooks{{|<nowiki>translation:}}</nowiki>]]

[subbu@earth:~/work/wmf/mediawiki] echo '[[Category:Hooks{{#translation:}}]]' | parse.js --prefix mediawikiwiki --pageName 'Manual:Hooks/de' --wt2wt
[[Category:Hooks{{|<nowiki>translation:}}</nowiki>]]

I think the handle that deals with expanded-attributes expects templates, whereas in this case it is a parser function.

Event Timeline

ssastry created this task.Apr 24 2018, 2:04 PM
Restricted Application added subscribers: jeblad, Aklapper. · View Herald TranscriptApr 24 2018, 2:04 PM
Vvjjkkii renamed this task from html2wt: category links (and probably other such) with a parser-function generated piece doesn't roundtrip properly to mceaaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
AfroThundr3007730 renamed this task from mceaaaaaaa to html2wt: category links (and probably other such) with a parser-function generated piece doesn't roundtrip properly.Jul 1 2018, 6:51 AM
AfroThundr3007730 lowered the priority of this task from High to Medium.
AfroThundr3007730 updated the task description. (Show Details)
AfroThundr3007730 added a subscriber: Aklapper.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 10 2019, 7:59 PM
Aklapper edited projects, added Parsoid; removed Parsoid-Edit-Support.Feb 29 2020, 5:15 PM
Arlolra moved this task from Needs Triage to Backlog on the Parsoid board.Mar 2 2020, 4:27 PM
ssastry claimed this task.Apr 20 2020, 9:08 PM
ssastry moved this task from Backlog to Bugs & Crashers on the Parsoid board.

Change 591181 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] d3b1ba04 followup: Fix bad bug reference

https://gerrit.wikimedia.org/r/591181

Change 591181 merged by jenkins-bot:
[mediawiki/services/parsoid@master] d3b1ba04 followup: Fix bad bug reference

https://gerrit.wikimedia.org/r/591181

ssastry closed this task as Resolved.Apr 20 2020, 9:57 PM

Change 592663 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/vendor@master] Bump Parsoid to 0.12.0-a11

https://gerrit.wikimedia.org/r/592663

Change 592663 merged by jenkins-bot:
[mediawiki/vendor@master] Bump Parsoid to 0.12.0-a11

https://gerrit.wikimedia.org/r/592663